﻿// zad0: dokonczyc canvas

<script src="https://code.jquery.com/jquery-2.2.3.min.js"></script>
<br /> <br />
<h1>Biblioteka</h1>
<div class="row">
    <div class="col-md-4">
        <h4>Tytuł książki:</h4>
    </div>
    <div class="col-md-4">
        <h4> Autor:</h4>
    </div>
    <div class="col-md-4">
        <h4>Numer ISBN:</h4>
    </div>
</div>
<div class="row" id="firstRow">
    <div class="col-md-4">
        C# for beginners
    </div>
    <div class="col-md-4">
        Artur Jordan
    </div>
    <div class="col-md-4" id="isbn">
        12345
    </div>
    <br />
</div>

<br />

<div class="row" id="secondRow">
    <div class="col-md-4" id="toAddTitle">
    </div>
    <div class="col-md-4" id="toAddAuthor">
    </div>
    <div class="col-md-4" id="toAddIsbn">
    </div>
    <br />
</div>

<br /> <br />

<div class="row" id="thirdRow">
    <div class="col-md-4">
        <input type="text" data-toggle="tooltip" data-placement="bottom" title="Wyszukaj tytuł" id="searchTitle" onkeyup="searchByTitle()" />
    </div>
    <div class="col-md-4">
        <input type="text" data-toggle="tooltip" data-placement="bottom" title="Wyszukaj autora" id="searchAuthor" onkeyup="searchByAuthor()" />
    </div>
    <div class="col-md-4">
        <input type="text" data-toggle="tooltip" data-placement="bottom" title="Wyszukaj nr ISBN" id="searchIsbn" onkeyup="searchByIsbn()" />
    </div>
    <br />
</div>

<br /> <br />

<div class="btn btn-success btn-block" onclick="toggleElement()">
    Schowaj/pokaz wiersze
</div>

<br /> <br /> <br />
<canvas id="example" width="2000" height="2000"></canvas>

<script type="text/javascript">

    var canvas = document.querySelector("canvas");

    var example = document.getElementById('example');
    var context = example.getContext('2d');
    context.fillStyle = 'yellow';
    context.fillRect(500, 500, 600, 350);

    var ctx = example.getContext("2d");
    ctx.fillStyle = 'blue';
    ctx.rect(1100, 100, 100, 150);
    ctx.fill();

    var example = document.getElementById('example');
    var context = example.getContext('2d');
    context.fillStyle = "rgb(0,255,0)";
    context.fillRect(600, 600, 100, 100);

    var example = document.getElementById('example');
    var context = example.getContext('2d');
    context.fillStyle = "rgb(0,255,0)";
    context.fillRect(900, 600, 100, 100)

    var example = document.getElementById('example');
    var context = example.getContext('2d');
    context.fillStyle = "rgba(255,0,0,0.75)";
    context.fillRect(350, 250, 900, 250)

    var example = document.getElementById('example');
    var context = example.getContext('2d');
    context.fillStyle = "rgba(255,0,0,0.75)";
    context.fillRect(550, 0, 500, 250)

    var isbnElement = document.getElementById("isbn");
    isbnElement.style.color = "red";

    function toggleElement() {
        var firstRow = document.getElementById("firstRow")
        if (firstRow.style.display == "none") {
            firstRow.style.display = "block";
        }
        else {
            firstRow.style.display = "none";
        }

        var secondRow = document.getElementById("secondRow")
        if (secondRow.style.display == "none") {
            secondRow.style.display = "block";
        }
        else {
            secondRow.style.display = "none";
        }
    }

    var books = new Array();
    var book1 = {
        "Autor": "Wokulski",
        "Title": "Prusa Lalka",
        "ISDN": "412BN"
    };
    books.push(book1);

    books[1] = {
        "Autor": "Sienkiewicz",
        "Title": "Potop",
        "ISDN": "412BN111"
    };

    books[2] = {
        "Autor": "Nieznany",
        "Title": "autobiografia Nieznanego",
        "ISDN": "412BN"
    };

    console.log(books);

    function searchByTitle() {
        appendTitle = $("#toAddTitle");
        appendAuthor = $("#toAddAuthor");
        appendIsbn = $("#toAddIsbn");

        appendTitle.html("");
        appendAuthor.html("");
        appendIsbn.html("");

        var searchText = document.getElementById("searchTitle").value;

        var filteredBooks = books.filter(function (book) {
            return (book.Title.indexOf(searchText) !== -1);
        });

        var appendTitle = $("#toAddTitle");
        var appendAuthor = $("#toAddAuthor");
        var appendIsbn = $("#toAddIsbn");

        for (var book = 0; book < filteredBooks.length; book++) {
            appendTitle.append("<p>" + filteredBooks[book].Title + "</p>");
            appendAuthor.append("<p>" + filteredBooks[book].Autor + "</p>");
            appendIsbn.append("<p>" + filteredBooks[book].ISDN + "</p>");
        }
    };

    function searchByAuthor() {
        appendTitle = $("#toAddTitle");
        appendAuthor = $("#toAddAuthor");
        appendIsbn = $("#toAddIsbn");

        appendTitle.html("");
        appendAuthor.html("");
        appendIsbn.html("");

        var searchText = document.getElementById("searchAuthor").value;

        var filteredBooks = books.filter(function (book) {
            return (book.Autor.indexOf(searchText) !== -1);
        });

        var appendTitle = $("#toAddTitle");
        var appendAuthor = $("#toAddAuthor");
        var appendIsbn = $("#toAddIsbn");

        for (var book = 0; book < filteredBooks.length; book++) {
            appendTitle.append("<p>" + filteredBooks[book].Title + "</p>");
            appendAuthor.append("<p>" + filteredBooks[book].Autor + "</p>");
            appendIsbn.append("<p>" + filteredBooks[book].ISDN + "</p>");
        }
    };

    function searchByIsbn() {
        appendTitle = $("#toAddTitle");
        appendAuthor = $("#toAddAuthor");
        appendIsbn = $("#toAddIsbn");

        appendTitle.html("");
        appendAuthor.html("");
        appendIsbn.html("");

        var searchText = document.getElementById("searchIsbn").value;

        var filteredBooks = books.filter(function (book) {
            return (book.ISDN.indexOf(searchText) !== -1);
        });

        var appendTitle = $("#toAddTitle");
        var appendAuthor = $("#toAddAuthor");
        var appendIsbn = $("#toAddIsbn");

        for (var book = 0; book < filteredBooks.length; book++) {
            appendTitle.append("<p>" + filteredBooks[book].Title + "</p>");
            appendAuthor.append("<p>" + filteredBooks[book].Autor + "</p>");
            appendIsbn.append("<p>" + filteredBooks[book].ISDN + "</p>");
        }
    };

    //jQuery

    $(document).ready(function () {
        var appendBook = $("#toAddTitle");

        for (var book = 0; book < books.length; book++) {
            appendBook.append("<p>" + books[book].Title + "</p>");
        }
    }
    );

    $(document).ready(function () {
        var appendBook = $("#toAddAuthor");

        for (var book = 0; book < books.length; book++) {
            appendBook.append("<p>" + books[book].Autor + "</p>");
        }
    }
    );

    $(document).ready(function () {
        var appendBook = $("#toAddIsbn");

        for (var book = 0; book < books.length; book++) {
            appendBook.append("<p>" + books[book].ISDN + "</p>");
        }
    }
    );

    $(document).ready(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });
</script>